Subject: Re: bug#38624: 27.0.50; [wish] tab navigation via keyboard should mimic buffer navigation

From: Gregor Zattler <[email-masked]>
Date: Mon, 23 Dec 2019 21:14:32 +0100

Hi Juri,
* Juri Linkov <[email-masked]> [2019-12-22; 01:24]:
>> It irritated me though that the current tab is not a member of
>> the list.
>
> I wonder why would you want to switch to the current tab?

I did not *want* to switch to the current tab as in deliberately
calling tab-bar-select-tab-by-name with the intention to switch
to the current tab.  My test case was with one or two tabs and
the list of tabs was very short, shorter than expected.

>> Therefore with only one tab the list is empty.  If one then hits
>> RET on this empty list, there is an error message:
>> "funcall-interactively: Wrong type argument: number-or-marker-p,
>> nil".
>
> Thanks for noticing, this is fixed now.
>
>> I now see that an unconfigured emacs also does not show the
>> buffer from one called switch-to-buffer.  helm-mini which I
>> actually use, shows the the buffer you worked in when callin
>> helm-mini as a possible last target of the listed buffers.  This
>> seems more natural to me.
>
> Indeed switch-to-buffer does this for a reason - it would be
> confusing for users to see the current buffer/tab in the
> list of buffers/tabs to switch, e.g. when the user accidentally
> selects the current buffer/tab from the list and nothing happens.

I see.  It makes sense to shorten the list of targets to the
minimum.  To me it seems more natural to have a full list.  But I
agree that there is no loss in functionality if the current tab
is not member of the list.

Ciao; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-